Subject: Re: bug#55301: 27.2; RFE: Auto-create defcustom for declared minor mode keymap

From: Robert Pluim <[email-masked]>
Date: Mon, 09 May 2022 15:39:01 +0200

>>>>> On Mon, 9 May 2022 11:02:20 +0100, Phil Hudson <[email-masked]> said:

    Phil> On Mon, 9 May 2022 at 10:54, Lars Ingebrigtsen <[email-masked]> wrote:
    >> 
    >> Phil Hudson <[email-masked]> writes:
    >> 
    >> > How about ":type '(alist :key-type key-sequence :value-type function)"?
    >> 
    >> Like I said, that wouldn't be very useful, because people don't want the
    >> entire keymap in their .emacs files anyway.

    Phil> Isn't that exactly the right place for declarative personal preferences?

Yes, but if a keymap were a defcustom, then the whole keymap would be
in your .emacs, and you would not receive any updates if the keymap
definition changed, since that affects the *default* defcustom value.

Now if you wanted to define a defcustom type for changing bindings in an
existing keymap, thatʼs a different proposition (and we already have
define-key, so Iʼm not so sure of the utility).

Robert
--